%global         pypi_name      Py-BOBYQA
%define         egg_name       Py_BOBYQA

Name:           python-bobyqa
Version:        1.4
Release:        %mkrel 1
Summary:        A flexible package for solving bound-constrained minimization
License:        GPLv3
Group:          Development/Python
URL:            https://pypi.org/project/Py-BOBYQA/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
Py-BOBYQA is a flexible package for solving bound-constrained general
objective minimization, without requiring derivatives of the
objective. At its core, it is a Python implementation of the BOBYQA
algorithm by Powell, but Py-BOBYQA has extra features improving its
performance on some problems and it is particularly useful when
evaluations of the objective function are expensive and noisy.

%package -n python3-bobyqa
Summary:        Python3 implementation of the BOBYQA algorithm
Group:          Development/Python
%{?python_provide:%python_provide python3-bobyqa}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
Requires:       python3dist(numpy)
Requires:       python3dist(scipy)
Requires:       python3dist(pandas)
Provides:       bobyqa = %{version}-%{release}

%description -n python3-bobyqa
Py-BOBYQA is a flexible package for solving bound-constrained general
objective minimization, without requiring derivatives of the
objective. At its core, it is a Python implementation of the BOBYQA
algorithm by Powell, but Py-BOBYQA has extra features improving its
performance on some problems and it is particularly useful when
evaluations of the objective function are expensive and noisy.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%py3_install

%files -n python3-bobyqa
%doc README.rst
%{python3_sitelib}/pybobyqa
%{python3_sitelib}/%{egg_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue May 30 2023 eatdirt <eatdirt> 1.4-1.mga9
+ Revision: 1959788
- Clean spec file, use pywheel
- imported package python-bobyqa

